﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP-B9 (1 yr) Track Generator VER /4418
DATE:                  2011-06-15
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       22
NUMBER OF LINES:       402
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         Agilent E9304A on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series with Option FSP-B9
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Compute Mismatch Uncertainty (%)
#
#  Required Files:
#        e441x_100mw_rf_sensor_zero.jpg
#        fsp_track_gen_to_e441x.jpg
#
#  Additional Equipment Required:
#        None
#
#  Uncertainty Analysis:
#    The following components are included when computing uncertainty:
#        - Mismatch Uncertainty between the Tracking Generator output and
#          Power Sensor Input (Monte Carlo, L[1])
#        - Cal Factor Uncertainty of the Power Sensor at test frequency
#          (k = 2, L[2])
#        - Power Linearity of the Power Sensor (rectangular, L[3])
#        - Instrumentation Accuracy of the Power Meter, including adders for
#          the filter setting and noise floor (specified confidence, L[4])
#        - Instrumentation Accuracy of the Power Meter, including adders for
#          the filter setting and noise floor at test frequency during the
#          frequency response tests (specified confidence, L[5])
#
#    For the Output Level Accuracy tests, components L[1] - L[4] are combined
#    in the expected manner and expanded at k = 2.
#
#    For the Frequency Response testing, the standard uncertainty at the
#    reference frequency/level is initially determined (L[1] - L[4]), then
#    combined (rss) with that at the test frequency (L[1] - L[3], L[5]) and
#    expanded at k = 2.
#
#  Note: Though the manufacturer's service manual includes tests for AM, FM,
#        and I/Q modulation, they are not specified and are only functional
#        tests. Therefore, they are not included in this procedure.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         POWER SENSOR ZERO and CAL
  1.002  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.003  HEAD         -2 Power Sensor Connections
  1.004  DISP         Connect the E9304A Power Sensor to the EPM-series
  1.004  DISP         Power Meter CHANNEL A.
  1.005  HEAD         -2 Channel A: E9304A Power Sensor
  1.006  PIC          e441x_100mw_rf_sensor_zero.jpg
  1.007  M4418  F64   E9304A
  1.008  4418         1mW                          50MH              CP N  CH1

  1.009  RSLT         =
  1.010  HEAD         {TRACKING GENERATOR (Option FSP-B9)}
  1.011  RSLT         =
  1.012  RSLT         =Output Level Accuracy
  1.013  TARGET       -p
  1.014  HEAD         -2 Output Level Accuracy: 0 dBm
  1.015  TSET         TDESC = [32] 0 dBm
  1.016  PIC          fsp_track_gen_to_e441x.jpg

  1.017  DISP         The next routine operator intervention occurs
  1.017  DISP         in approximately 3 minutes...

  1.018  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.019  SCPI         FREQ:CENT 128E+6;SPAN 0;:BAND:RES 1E+3
  1.020  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.021  SCPI         SOUR:POW 0;:OUTP:STAT ON
# All Power Sensor specifications are based on published 25°C ± 10°C limits.
  1.022  MATH         @SourceSWR = 2.0; @LoadSWR = 1.13
  1.023  CALL         Sub Compute Mismatch Uncertainty (%)
  1.024  MATH         L[1] = @MismatchUncPct; Conf = CONF("Agilent E4418B")
# Cal Factor Uncertainty; Power Linearity (explicitly normalized for clarity).
  1.025  MATH         L[2] = (2.0 / 2); L[3] = (2.0 / SQRT(3))
  1.026  TARGET       -m
  1.027  4418         0.00D                        128MH             RF N  CH1
  1.028  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  1.029  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  1.030  ACC          dBm            L5U                                   +DW
  1.031  MEMCX        0.00dBm        1.00U

  2.001  HEAD         -2 Output Level Accuracy: -5 dBm
  2.002  TSET         TDESC = -[32]5 dBm
  2.003  SCPI         SOUR:POW -5;:OUTP:STAT ON
  2.004  MATH         L[3] = (2.5 / SQRT(3))
  2.005  TARGET       -m
  2.006  4418         -5.00D                       128MH             RF N  CH1
  2.007  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  2.008  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  2.009  ACC          dBm            L5U                                   +DW
  2.010  MEMCX        -5.00dBm       1.00U

  3.001  HEAD         -2 Output Level Accuracy: -10 dBm
  3.002  TSET         TDESC = -10 dBm
  3.003  SCPI         SOUR:POW -10;:OUTP:STAT ON
  3.004  MATH         L[2] = (1.7 / 2)
  3.005  TARGET       -m
  3.006  4418         -10.00D                      128MH             RF N  CH1
  3.007  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  3.008  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  3.009  ACC          dBm            L5U                                   +DW
  3.010  MEMCX        -10.00dBm      2.00U

  4.001  HEAD         -2 Output Level Accuracy: -15 dBm
  4.002  TSET         TDESC = -15 dBm
  4.003  SCPI         SOUR:POW -15;:OUTP:STAT ON
  4.004  MATH         L[3] = (3.0 / SQRT(3))
  4.005  TARGET       -m
  4.006  4418         -15.00D                      128MH             RF N  CH1
  4.007  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  4.008  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  4.009  ACC          dBm            L5U                                   +DW
  4.010  MEMCX        -15.00dBm      2.00U

  5.001  HEAD         -2 Output Level Accuracy: -20 dBm
  5.002  TSET         TDESC = -20 dBm
  5.003  SCPI         SOUR:POW -20;:OUTP:STAT ON
  5.004  TARGET       -m
  5.005  4418         -20.00D                      128MH             RF N  CH1
  5.006  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  5.007  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  5.008  ACC          dBm            L5U                                   +DW
  5.009  MEMCX        -20.00dBm      3.00U

  6.001  HEAD         -2 Output Level Accuracy: -25 dBm
  6.002  TSET         TDESC = -25 dBm
  6.003  SCPI         SOUR:POW -25;:OUTP:STAT ON
  6.004  TARGET       -m
  6.005  4418         -25.00D                      128MH             RF N  CH1
  6.006  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  6.007  MATH         L[5] = PCTTODBW_D(RSS_L(1,4) * 2)
  6.008  ACC          dBm            L5U                                   +DW
  6.009  MEMCX        -25.00dBm      3.00U

  7.001  HEAD         -2
  7.002  SCPI         SYST:PRES
  7.003  4418         *                                                 S

  7.004  RSLT         =
  7.005  RSLT         =Frequency Response
  7.006  RSLT         =
  7.007  RSLT         = Output Level: 0 dBm
  7.008  TARGET       -p
  7.009  HEAD         -2 Frequency Response: 0 dBm @ 128 MHz Reference Set
  7.010  TSET         TDESC = [32] 9 kHz
  7.011  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  7.012  SCPI         FREQ:CENT 128E+6;SPAN 0;:BAND:RES 1E+3
  7.013  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  7.014  SCPI         SOUR:POW 0;:OUTP:STAT ON
  7.015  MATH         @SourceSWR = 2.0; @LoadSWR = 1.13
  7.016  CALL         Sub Compute Mismatch Uncertainty (%)
  7.017  MATH         L[1] = @MismatchUncPct; Conf = CONF("Agilent E4418B")
  7.018  MATH         L[2] = (2.0 / 2); L[3] = (2.0 / SQRT(3))
  7.019  4418         0.00D                        128MH             RF N  CH1
  7.020  MATH         RefLvl = MEM
  7.021  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
# Standard uncertainty at reference frequency and level.
  7.022  MATH         RefUnc = RSS_L(1,4)
  7.023  HEAD         -2 Frequency Response: 0 dBm @ 9 kHz
  7.024  SCPI         FREQ:CENT 9E+3
  7.025  TARGET       -m
  7.026  4418         0.00D                        9kH               RF N  CH1
  7.027  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
# Standard uncertainty at test frequency and level.
  7.028  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
# Combined and expanded overall uncertainty of frequency response test.
  7.029  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
  7.030  MATH         MEM = MEM - RefLvl
  7.031  ACC          dB             L6U                                   +DW
  7.032  MEMCX        0.00dB         3.00U

  8.001  HEAD         -2 Frequency Response: 0 dBm @ 100 kHz
  8.002  TSET         TDESC = 100 kHz
  8.003  SCPI         FREQ:CENT 100E+3;:OUTP:STAT ON
  8.004  TARGET       -m
  8.005  4418         0.00D                        100kH             RF N  CH1
  8.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  8.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
  8.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
  8.009  MATH         MEM = MEM - RefLvl
  8.010  ACC          dB             L6U                                   +DW
  8.011  MEMCX        0.00dB         1.00U

  9.001  HEAD         -2 Frequency Response: 0 dBm @ 1 MHz
  9.002  TSET         TDESC = [32] 1 MHz
  9.003  SCPI         FREQ:CENT 1E+6;:OUTP:STAT ON
  9.004  TARGET       -m
  9.005  4418         0.00D                        1MH               RF N  CH1
  9.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
  9.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
  9.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
  9.009  MATH         MEM = MEM - RefLvl
  9.010  ACC          dB             L6U                                   +DW
  9.011  MEMCX        0.00dB         1.00U

 10.001  HEAD         -2 Frequency Response: 0 dBm @ 2 GHz
 10.002  TSET         TDESC = [32] 2 GHz
 10.003  SCPI         FREQ:CENT 2E+9;:OUTP:STAT ON
 10.004  MATH         L[2] = (1.8 / 2)
 10.005  TARGET       -m
 10.006  4418         0.00D                        2GH               RF N  CH1
 10.007  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 10.008  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 10.009  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 10.010  MATH         MEM = MEM - RefLvl
 10.011  ACC          dB             L6U                                   +DW
 10.012  MEMCX        0.00dB         1.00U

 11.001  HEAD         -2 Frequency Response: 0 dBm @ 3 GHz
 11.002  TSET         TDESC = [32] 3 GHz
 11.003  SCPI         FREQ:CENT 3E+9;:OUTP:STAT ON
 11.004  MATH         @LoadSWR = 1.19
 11.005  CALL         Sub Compute Mismatch Uncertainty (%)
 11.006  MATH         L[1] = @MismatchUncPct
 11.007  TARGET       -m
 11.008  4418         0.00D                        3GH               RF N  CH1
 11.009  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 11.010  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 11.011  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 11.012  MATH         MEM = MEM - RefLvl
 11.013  ACC          dB             L6U                                   +DW
 11.014  MEMCX        0.00dB         3.00U

 12.001  RSLT         =
 12.002  RSLT         = Output Level: -10 dBm
 12.003  TARGET       -p
 12.004  HEAD         -2 Frequency Response: -10 dBm @ 128 MHz Reference Set
 12.005  TSET         TDESC = [32] 9 kHz
 12.006  SCPI         SOUR:POW -10;:OUTP:STAT ON
 12.007  MATH         @LoadSWR = 1.13
 12.008  CALL         Sub Compute Mismatch Uncertainty (%)
 12.009  MATH         L[1] = @MismatchUncPct
 12.010  MATH         L[2] = (1.7 / 2); L[3] = (2.5 / SQRT(3))
 12.011  4418         -10.00D                      128MH             RF N  CH1
 12.012  MATH         RefLvl = MEM
 12.013  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 12.014  MATH         RefUnc = RSS_L(1,4)
 12.015  HEAD         -2 Frequency Response: -10 dBm @ 9 kHz
 12.016  SCPI         FREQ:CENT 9E+3
 12.017  TARGET       -m
 12.018  4418         -10.00D                      9kH               RF N  CH1
 12.019  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 12.020  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 12.021  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 12.022  MATH         MEM = MEM - RefLvl
 12.023  ACC          dB             L6U                                   +DW
 12.024  MEMCX        0.00dB         3.00U

 13.001  HEAD         -2 Frequency Response: -10 dBm @ 100 kHz
 13.002  TSET         TDESC = 100 kHz
 13.003  SCPI         FREQ:CENT 100E+3;:OUTP:STAT ON
 13.004  TARGET       -m
 13.005  4418         -10.00D                      100kH             RF N  CH1
 13.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 13.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 13.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 13.009  MATH         MEM = MEM - RefLvl
 13.010  ACC          dB             L6U                                   +DW
 13.011  MEMCX        0.00dB         3.00U

 14.001  HEAD         -2 Frequency Response: -10 dBm @ 1 MHz
 14.002  TSET         TDESC = [32] 1 MHz
 14.003  SCPI         FREQ:CENT 1E+6;:OUTP:STAT ON
 14.004  TARGET       -m
 14.005  4418         -10.00D                      1MH               RF N  CH1
 14.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 14.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 14.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 14.009  MATH         MEM = MEM - RefLvl
 14.010  ACC          dB             L6U                                   +DW
 14.011  MEMCX        0.00dB         3.00U

 15.001  HEAD         -2 Frequency Response: -10 dBm @ 2 GHz
 15.002  TSET         TDESC = [32] 2 GHz
 15.003  SCPI         FREQ:CENT 2E+9;:OUTP:STAT ON
 15.004  TARGET       -m
 15.005  4418         -10.00D                      2GH               RF N  CH1
 15.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 15.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 15.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 15.009  MATH         MEM = MEM - RefLvl
 15.010  ACC          dB             L6U                                   +DW
 15.011  MEMCX        0.00dB         3.00U

 16.001  HEAD         -2 Frequency Response: -10 dBm @ 3 GHz
 16.002  TSET         TDESC = [32] 3 GHz
 16.003  SCPI         FREQ:CENT 3E+9;:OUTP:STAT ON
 16.004  MATH         @LoadSWR = 1.19
 16.005  CALL         Sub Compute Mismatch Uncertainty (%)
 16.006  MATH         L[1] = @MismatchUncPct
 16.007  TARGET       -m
 16.008  4418         -10.00D                      3GH               RF N  CH1
 16.009  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 16.010  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 16.011  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 16.012  MATH         MEM = MEM - RefLvl
 16.013  ACC          dB             L6U                                   +DW
 16.014  MEMCX        0.00dB         3.00U

 17.001  RSLT         =
 17.002  RSLT         = Output Level: -25 dBm
 17.003  TARGET       -p
 17.004  HEAD         -2 Frequency Response: -25 dBm @ 128 MHz Reference Set
 17.005  TSET         TDESC = [32] 9 kHz
 17.006  SCPI         SOUR:POW -25;:OUTP:STAT ON
 17.007  MATH         @LoadSWR = 1.13
 17.008  CALL         Sub Compute Mismatch Uncertainty (%)
 17.009  MATH         L[1] = @MismatchUncPct
 17.010  4418         -25.00D                      128MH             RF N  CH1
 17.011  MATH         RefLvl = MEM
 17.012  MATH         L[4] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 17.013  MATH         RefUnc = RSS_L(1,4)
 17.014  HEAD         -2 Frequency Response: -25 dBm @ 9 kHz
 17.015  SCPI         FREQ:CENT 9E+3
 17.016  TARGET       -m
 17.017  4418         -25.00D                      9kH               RF N  CH1
 17.018  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 17.019  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 17.020  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 17.021  MATH         MEM = MEM - RefLvl
 17.022  ACC          dB             L6U                                   +DW
 17.023  MEMCX        0.00dB         3.00U

 18.001  HEAD         -2 Frequency Response: -25 dBm @ 100 kHz
 18.002  TSET         TDESC = 100 kHz
 18.003  SCPI         FREQ:CENT 100E+3;:OUTP:STAT ON
 18.004  TARGET       -m
 18.005  4418         -25.00D                      100kH             RF N  CH1
 18.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 18.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 18.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 18.009  MATH         MEM = MEM - RefLvl
 18.010  ACC          dB             L6U                                   +DW
 18.011  MEMCX        0.00dB         3.00U

 19.001  HEAD         -2 Frequency Response: -25 dBm @ 1 MHz
 19.002  TSET         TDESC = [32] 1 MHz
 19.003  SCPI         FREQ:CENT 1E+6;:OUTP:STAT ON
 19.004  TARGET       -m
 19.005  4418         -25.00D                      1MH               RF N  CH1
 19.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 19.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 19.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 19.009  MATH         MEM = MEM - RefLvl
 19.010  ACC          dB             L6U                                   +DW
 19.011  MEMCX        0.00dB         3.00U

 20.001  HEAD         -2 Frequency Response: -25 dBm @ 2 GHz
 20.002  TSET         TDESC = [32] 2 GHz
 20.003  SCPI         FREQ:CENT 2E+9;:OUTP:STAT ON
 20.004  TARGET       -m
 20.005  4418         -25.00D                      2GH               RF N  CH1
 20.006  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 20.007  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 20.008  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 20.009  MATH         MEM = MEM - RefLvl
 20.010  ACC          dB             L6U                                   +DW
 20.011  MEMCX        0.00dB         3.00U

 21.001  HEAD         -2 Frequency Response: -25 dBm @ 3 GHz
 21.002  TSET         TDESC = [32] 3 GHz
 21.003  SCPI         FREQ:CENT 3E+9;:OUTP:STAT ON
 21.004  MATH         @LoadSWR = 1.19
 21.005  CALL         Sub Compute Mismatch Uncertainty (%)
 21.006  MATH         L[1] = @MismatchUncPct
 21.007  TARGET       -m
 21.008  4418         -25.00D                      3GH               RF N  CH1
 21.009  MATH         L[5] = ((REFACC() / (DBMTOW(MEM))) * 100) / Conf
 21.010  MATH         TestUnc = RSS2(RSS_L(1,3), L[5])
 21.011  MATH         L[6] = PCTTODBW_D(RSS2(RefUnc, TestUnc) * 2)
 21.012  MATH         MEM = MEM - RefLvl
 21.013  ACC          dB             L6U                                   +DW
 21.014  MEMCX        0.00dB         3.00U

 22.001  HEAD         -2
 22.002  SCPI         SYST:PRES
 22.003  4418         *                                                 S
 22.004  HEAD
 22.005  END
