﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Frequency Response Test /4419,SWPG
DATE:                  2011-06-30
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       68
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP3, FSP7, FSP13
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP Set Frequency Response Test Lvl /4419,SWPG
#        Sub FSP Compute RF Freq Response Test Uncertainty
#        Sub FSP Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           BASE(@TestFreq) > 999E+6
  1.002  MATH         Freq = (BASE(@TestFreq) / 1E+9) & " GHz"
  1.003  ELSE
  1.004  MATH         Freq = @TestFreq
  1.005  ENDIF

  1.006  IF           ISVAR("@B25_On")

  1.007  IF           @B25_On
  1.008  TOL          0.600U
  1.009  ENDIF

  1.010  ELSE
  1.011  TOL          0.300U
  1.012  ENDIF

  1.013  HEAD         -2 Frequency: [V Freq], [V @AttenType]: [V @Atten] dB
  1.014  TSET         TDESC = [V @TestFreq]
  1.015  SCPI         FREQ:CENT [V @TestFreq]
  1.016  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.017  CALL         Sub FSP Compute RF Freq Response Test Uncertainty
  1.018  ACC          0.000dB        M1U                                   +DW
  1.019  TARGET       -m
  1.020  CALL         Sub FSP Take Sweep (MKPK)
  1.021  SCPI         CALC:MARK:Y?[I]
  1.022  MATH         MEM = MEM - @UUT_Ref
  1.023  MEMCX        0.000dB        TOL

  2.001  END
