﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Frequency Response VER /LPNX,4419,SWPG
DATE:                  2011-07-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       373
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8482A on channel 2
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP3, FSP7, FSP13
#
# Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP Frequency Response Tests /LPNX
#        Sub FSP Characterize Power Splitter Tracking Errors
#        Sub FSP Set Frequency Response Test Lvl /4419,SWPG
#        Sub FSP Compute RF Freq Response Reference Uncertainty
#        Sub FSP Frequency Response Tests /4419,SWPG
#        Sub FSP Take Sweep (MKPK)
#
#  Required Files:
#        fsp_rf_freq_resp_swpg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, DC to 18 GHz, Type N, HP/Agilent 11667A
#        Adapter, Type N (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#    The reference accuracy is computed as:
#    - Worst case, k = 2
#
#  Methodology:
#
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#
#   Frequency Response: 1 MHz (100 Hz with FSP-B29) to 300 MHz:
#      - 9640A-LPNX Specified Accuracy
#      - 9640A-LPNX to UUT Mismatch Uncertainty
#
#   Frequency Response (400 MHz to 2.990 GHz):
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8481A Power Sensor Cal Factor Uncertainty
#      - 8481A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667A to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8481A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  LPNX         Reset
  1.003  M4419  F64   8481A                        8482A
  1.004  4419         *                                                 S
  1.005  IEEE         [@SWPG]
  1.006  ENDIF

  1.007  RSLT         =

  1.008  IF           (@UUT_MaxFreq <= 3E+9)
  1.009  HEAD         {FREQUENCY RESPONSE}
  1.010  ELSE
  1.011  HEAD         {FREQUENCY RESPONSE (< 3 GHz)}
  1.012  ENDIF

  1.013  RSLT         =
  1.014  RSLT         =RF Attenuation: 10 dB
  1.015  TARGET       -p
  1.016  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB
  1.017  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.018  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.019  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.020  SCPI         BAND:RES 10E+3
  1.021  MATH         @TestName = "10 dB Ref Set (HF)"
  1.022  MATH         @Connection = "fsp_direct_to_lpnx"
  1.023  MATH         @LoadSWR = 1.5; @DC_10dB = 1; @Atten = 10
  1.024  MATH         @AttenType = "RF Attenuation"
  1.025  CALL         Sub FSP Frequency Response Tests /LPNX
  1.026  JMPL         20dB_HF

  1.027  LABEL        10dB_RF
  1.028  HEAD         -2
  1.029  MATH         @Preamp = 0
  1.030  CALL         Sub FSP Characterize Power Splitter Tracking Errors

  1.031  HEAD         FREQUENCY RESPONSE (< 3 GHz)
  1.032  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.033  PIC          fsp_rf_freq_resp_swpg.jpg

  1.034  IF           @Opt_B25
  1.035  DISP         The next routine operator intervention
  1.035  DISP         occurs in approximately 10 minutes...
  1.036  ELSE
  1.037  DISP         The next routine operator intervention
  1.037  DISP         occurs in approximately 5 minutes...
  1.038  ENDIF

  1.039  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB
  1.040  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.041  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.042  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.043  SCPI         BAND:RES 10E+3
  1.044  MATH         @TestName = "10 dB Ref Set (RF)"
  1.045  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @LoadSWR = 1.5
  1.046  MATH         @DevName = "Agilent 11667A"; @AccMode = "Output SWR"
  1.047  MATH         @Chan = "B"
  1.048  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.049  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.050  CALL         Sub FSP Take Sweep (MKPK)
  1.051  SCPI         CALC:MARK:Y?[I]
  1.052  MATH         @UUT_Ref = MEM; @Atten = 10
  1.053  MATH         @AttenType = "RF Attenuation"
  1.054  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.055  JMPL         20dB_RF

  1.056  LABEL        20dB_HF
  1.057  RSLT         =
  1.058  RSLT         =RF Attenuation: 20 dB
  1.059  TARGET       -p
  1.060  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB
  1.061  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.062  MATH         @TestName = "20 dB Ref Set (HF)"; @Atten = 20
  1.063  CALL         Sub FSP Frequency Response Tests /LPNX
  1.064  JMPL         40dB_HF

  1.065  LABEL        20dB_RF
  1.066  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB
  1.067  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.068  MATH         @TestName = "20 dB Ref Set (RF)"
  1.069  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.070  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.071  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.072  CALL         Sub FSP Take Sweep (MKPK)
  1.073  SCPI         CALC:MARK:Y?[I]
  1.074  MATH         @UUT_Ref = MEM; @Atten = 20
  1.075  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.076  JMPL         40dB_RF

  1.077  LABEL        40dB_HF
  1.078  RSLT         =
  1.079  RSLT         =RF Attenuation: 40 dB
  1.080  TARGET       -p
  1.081  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB
  1.082  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.083  MATH         @TestName = "40 dB Ref Set (HF)"; @Atten = 40
  1.084  CALL         Sub FSP Frequency Response Tests /LPNX
  1.085  JMPL         B25_0dB_HF                   @Opt_B25
  1.086  JMPL         10dB_RF

  1.087  LABEL        40dB_RF
  1.088  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB
  1.089  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.090  MATH         @TestName = "40 dB Ref Set (RF)"
  1.091  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.092  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.093  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.094  CALL         Sub FSP Take Sweep (MKPK)
  1.095  SCPI         CALC:MARK:Y?[I]
  1.096  MATH         @UUT_Ref = MEM; @Atten = 40
  1.097  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.098  JMPL         B25_0dB_RF                   @Opt_B25

  1.099  MATH         DEL("@Chan")
  1.100  JMPL         END

  1.101  LABEL        B25_0dB_HF
  1.102  RSLT         =
  1.103  HEAD         {FREQUENCY RESPONSE (< 3 GHz, FSP-B25 Option)}
  1.104  RSLT         =
  1.105  RSLT         =Electronic Attenuator: 0 dB
  1.106  TARGET       -p
  1.107  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.108  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.109  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.110  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.111  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.112  MATH         @TestName = "0 dB Ref Set (HF)"
  1.113  MATH         @Connection = "fsp_direct_to_lpnx"
  1.114  MATH         @LoadSWR = 1.5; @DC_10dB = 0; @B25_On = 1
  1.115  MATH         @AttenType = "Electronic Attenuator"
  1.116  CALL         Sub FSP Frequency Response Tests /LPNX
  1.117  JMPL         B25_5dB_HF

  1.118  LABEL        B25_0dB_RF
  1.119  HEAD         FREQUENCY RESPONSE (< 3 GHz, FSP-B25 Option)
  1.120  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.121  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.122  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.123  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.124  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.125  MATH         @TestName = "0 dB Ref Set (RF)"
  1.126  MATH         @TestFreq = "128 MHz"; @TestLvl = +1
  1.127  MATH         @DevName = "Agilent 11667A"; @AccMode = "Output SWR"
  1.128  MATH         @Chan = "B"; @B25_On = 1
  1.129  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.130  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.131  CALL         Sub FSP Take Sweep (MKPK)
  1.132  SCPI         CALC:MARK:Y?[I]
  1.133  MATH         @UUT_Ref = MEM; @Atten = 0
  1.134  MATH         @AttenType = "Electronic Attenuator"
  1.135  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.136  JMPL         B25_5dB_RF

  1.137  LABEL        B25_5dB_HF
  1.138  RSLT         =
  1.139  RSLT         =Electronic Attenuator: 5 dB
  1.140  TARGET       -p
  1.141  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.142  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.143  MATH         @TestName = "5 dB Ref Set (HF)"
  1.144  MATH         @DC_10dB = 0
  1.145  CALL         Sub FSP Frequency Response Tests /LPNX
  1.146  JMPL         B25_10dB_HF

  1.147  LABEL        B25_5dB_RF
  1.148  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.149  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.150  MATH         @TestName = "5 dB Ref Set (RF)"
  1.151  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.152  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.153  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.154  CALL         Sub FSP Take Sweep (MKPK)
  1.155  SCPI         CALC:MARK:Y?[I]
  1.156  MATH         @UUT_Ref = MEM; @Atten = 5
  1.157  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.158  JMPL         B25_10dB_RF

  1.159  LABEL        B25_10dB_HF
  1.160  RSLT         =
  1.161  RSLT         =Electronic Attenuator: 10 dB
  1.162  TARGET       -p
  1.163  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.164  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.165  MATH         @TestName = "10 dB Ref Set (HF)"
  1.166  CALL         Sub FSP Frequency Response Tests /LPNX
  1.167  JMPL         B25_15dB_HF

  1.168  LABEL        B25_10dB_RF
  1.169  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.170  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.171  MATH         @TestName = "10 dB Ref Set (RF)"
  1.172  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.173  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.174  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.175  CALL         Sub FSP Take Sweep (MKPK)
  1.176  SCPI         CALC:MARK:Y?[I]
  1.177  MATH         @UUT_Ref = MEM; @Atten = 10
  1.178  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.179  JMPL         B25_15dB_RF

  1.180  LABEL        B25_15dB_HF
  1.181  RSLT         =
  1.182  RSLT         =Electronic Attenuator: 15 dB
  1.183  TARGET       -p
  1.184  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.185  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.186  MATH         @TestName = "15 dB Ref Set (HF)"
  1.187  CALL         Sub FSP Frequency Response Tests /LPNX
  1.188  JMPL         B25_20dB_HF

  1.189  LABEL        B25_15dB_RF
  1.190  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.191  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.192  MATH         @TestName = "15 dB Ref Set (RF)"
  1.193  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.194  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.195  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.196  CALL         Sub FSP Take Sweep (MKPK)
  1.197  SCPI         CALC:MARK:Y?[I]
  1.198  MATH         @UUT_Ref = MEM; @Atten = 15
  1.199  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.200  JMPL         B25_20dB_RF

  1.201  LABEL        B25_20dB_HF
  1.202  RSLT         =
  1.203  RSLT         =Electronic Attenuator: 20 dB
  1.204  TARGET       -p
  1.205  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.206  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.207  MATH         @TestName = "20 dB Ref Set (HF)"
  1.208  CALL         Sub FSP Frequency Response Tests /LPNX
  1.209  JMPL         B25_25dB_HF

  1.210  LABEL        B25_20dB_RF
  1.211  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.212  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.213  MATH         @TestName = "20 dB Ref Set (RF)"
  1.214  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.215  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.216  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.217  CALL         Sub FSP Take Sweep (MKPK)
  1.218  SCPI         CALC:MARK:Y?[I]
  1.219  MATH         @UUT_Ref = MEM; @Atten = 20
  1.220  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.221  JMPL         B25_25dB_RF

  1.222  LABEL        B25_25dB_HF
  1.223  RSLT         =
  1.224  RSLT         =Electronic Attenuator: 25 dB
  1.225  TARGET       -p
  1.226  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.227  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.228  MATH         @TestName = "25 dB Ref Set (HF)"
  1.229  CALL         Sub FSP Frequency Response Tests /LPNX
  1.230  JMPL         B25_30dB_HF

  1.231  LABEL        B25_25dB_RF
  1.232  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.233  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.234  MATH         @TestName = "25 dB Ref Set (RF)"
  1.235  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.236  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.237  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.238  CALL         Sub FSP Take Sweep (MKPK)
  1.239  SCPI         CALC:MARK:Y?[I]
  1.240  MATH         @UUT_Ref = MEM; @Atten = 25
  1.241  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.242  JMPL         B25_30dB_RF

  1.243  LABEL        B25_30dB_HF
  1.244  RSLT         =
  1.245  RSLT         =Electronic Attenuator: 30 dB
  1.246  TARGET       -p
  1.247  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.248  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.249  MATH         @TestName = "30 dB Ref Set (HF)"
  1.250  CALL         Sub FSP Frequency Response Tests /LPNX
  1.251  MATH         DEL("@B25_On")
  1.252  JMPL         10dB_RF

  1.253  LABEL        B25_30dB_RF
  1.254  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.255  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.256  MATH         @TestName = "30 dB Ref Set (RF)"
  1.257  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.258  CALL         Sub FSP Set Frequency Response Test Lvl /4419,SWPG
  1.259  CALL         Sub FSP Compute RF Freq Response Reference Uncertainty
  1.260  CALL         Sub FSP Take Sweep (MKPK)
  1.261  SCPI         CALC:MARK:Y?[I]
  1.262  MATH         @UUT_Ref = MEM; @Atten = 30
  1.263  CALL         Sub FSP Frequency Response Tests /4419,SWPG
  1.264  MATH         DEL("@Chan"); DEL("@B25_On")

  1.265  LABEL        END
  1.266  HEAD         -2
  1.267  CALL         Sub Initialize /SWPG
  1.268  CALL         Sub Reset /SWPG
  1.269  SCPI         SYST:PRES
  1.270  HEAD
  1.271  END
