﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Noise Display Tests
DATE:                  2011-06-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       297
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP Noise Display Test
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSP Data Sheet, Version 06.00,
#   May 2008.
#
#  Applicable conditions:
#        RF attenuation       : 0 dB
#        Resolution Bandwidth : 10 Hz
#        Video Bandwidth      : 1 Hz
#        Trace Averaging      : On
#        Number of Averages   : 20
#        Span                 : 0 Hz
#        Input Conditions     : 50 Ohm terminated
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(ISVAR("@B25_On"))
  1.002  MATH         @TestFreq = "9 kHz"
  1.003  MATH         M[1] = 55; @Nominal = -95
  1.004  CALL         Sub FSP Noise Display Test

  1.005  MATH         @TestFreq = "95 kHz"
  1.006  SCPI         DISP:WIND:TRAC:Y:RLEV -20
  1.007  MATH         M[1] = 50; @Nominal = -100
  1.008  CALL         Sub FSP Noise Display Test

  1.009  MATH         @TestFreq = "999 kHz"
  1.010  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  1.011  MATH         M[1] = 40; @Nominal = -120
  1.012  CALL         Sub FSP Noise Display Test
  1.013  ENDIF

  1.014  MATH         @TestFreq = "10.99 MHz"

  1.015  IF           ISVAR("@B25_On")
  1.016  SCPI         DISP:WIND:TRAC:Y:RLEV -80
  1.017  MATH         M[1] = 28; @Nominal = -152
  1.018  ELSE
  1.019  SCPI         DISP:WIND:TRAC:Y:RLEV -60

  1.020  IF           (@UUT_MaxFreq <= 3E+9)
  1.021  MATH         M[1] = 18; @Nominal = -142
  1.022  ELSE
  1.023  MATH         M[1] = 20; @Nominal = -140
  1.024  ENDIF

  1.025  ENDIF

  1.026  CALL         Sub FSP Noise Display Test

  1.027  MATH         @TestFreq = "19.99 MHz"
  1.028  CALL         Sub FSP Noise Display Test

  1.029  MATH         @TestFreq = "49.99 MHz"
  1.030  CALL         Sub FSP Noise Display Test

  1.031  MATH         @TestFreq = "99.99 MHz"
  1.032  CALL         Sub FSP Noise Display Test

  1.033  MATH         @TestFreq = "199.99 MHz"
  1.034  CALL         Sub FSP Noise Display Test

  1.035  MATH         @TestFreq = "499.99 MHz"
  1.036  CALL         Sub FSP Noise Display Test

  1.037  MATH         @TestFreq = "999.9 MHz"
  1.038  CALL         Sub FSP Noise Display Test

  1.039  MATH         @TestFreq = "1499 MHz"

  1.040  IF           NOT(ISVAR("@B25_On"))

  1.041  IF           (@UUT_MaxFreq <= 3E+9)
  1.042  MATH         M[1] = 20; @Nominal = -140
  1.043  ELSE
  1.044  MATH         M[1] = 22; @Nominal = -138
  1.045  ENDIF

  1.046  ENDIF

  1.047  CALL         Sub FSP Noise Display Test

  1.048  MATH         @TestFreq = "1999 MHz"
  1.049  CALL         Sub FSP Noise Display Test

  1.050  MATH         @TestFreq = "2499 MHz"

  1.051  IF           ISVAR("@B25_On")
  1.052  MATH         M[1] = 30; @Nominal = -150
  1.053  ENDIF

  1.054  CALL         Sub FSP Noise Display Test

  1.055  MATH         @TestFreq = "2999 MHz"
  1.056  CALL         Sub FSP Noise Display Test

  1.057  IF           (@UUT_MaxFreq <= 3E+9)
  1.058  END
  1.059  ENDIF

  1.060  MATH         @TestFreq = "3099 MHz"

  1.061  IF           NOT(ISVAR("@B25_On"))

  1.062  IF           (@UUT_MaxFreq < 13E+9)
  1.063  MATH         M[1] = 22; @Nominal = -138
  1.064  ELSE
  1.065  MATH         M[1] = 25; @Nominal = -135
  1.066  ENDIF

  1.067  ENDIF

  1.068  CALL         Sub FSP Noise Display Test

  1.069  MATH         @TestFreq = "3499 MHz"
  1.070  CALL         Sub FSP Noise Display Test

  1.071  MATH         @TestFreq = "3999 MHz"
  1.072  CALL         Sub FSP Noise Display Test

  1.073  MATH         @TestFreq = "4499 MHz"
  1.074  CALL         Sub FSP Noise Display Test

  1.075  MATH         @TestFreq = "4999 MHz"
  1.076  CALL         Sub FSP Noise Display Test

  1.077  MATH         @TestFreq = "5499 MHz"
  1.078  CALL         Sub FSP Noise Display Test

  1.079  MATH         @TestFreq = "5999 MHz"
  1.080  CALL         Sub FSP Noise Display Test

  1.081  MATH         @TestFreq = "6499 MHz"
  1.082  CALL         Sub FSP Noise Display Test

  1.083  MATH         @TestFreq = "6999 MHz"
  1.084  CALL         Sub FSP Noise Display Test

  1.085  IF           (@UUT_MaxFreq <= 7E+9)
  1.086  END
  1.087  ENDIF

  1.088  IF           NOT(ISVAR("@B25_On"))
  1.089  MATH         @TestFreq = "7499 MHz"
  1.090  MATH         M[1] = 28; @Nominal = -132
  1.091  CALL         Sub FSP Noise Display Test

  1.092  MATH         @TestFreq = "7999 MHz"
  1.093  CALL         Sub FSP Noise Display Test

  1.094  MATH         @TestFreq = "8999 MHz"
  1.095  CALL         Sub FSP Noise Display Test

  1.096  MATH         @TestFreq = "9999 MHz"
  1.097  CALL         Sub FSP Noise Display Test

  1.098  MATH         @TestFreq = "10999 MHz"
  1.099  CALL         Sub FSP Noise Display Test

  1.100  MATH         @TestFreq = "11999 MHz"
  1.101  CALL         Sub FSP Noise Display Test

  1.102  MATH         @TestFreq = "12999 MHz"
  1.103  CALL         Sub FSP Noise Display Test

  1.104  IF           (@UUT_MaxFreq <= 13E+9)
  1.105  END
  1.106  ENDIF

  1.107  MATH         @TestFreq = "13999 MHz"
  1.108  MATH         M[1] = 40; @Nominal = -120
  1.109  CALL         Sub FSP Noise Display Test

  1.110  MATH         @TestFreq = "14999 MHz"
  1.111  CALL         Sub FSP Noise Display Test

  1.112  MATH         @TestFreq = "15999 MHz"
  1.113  CALL         Sub FSP Noise Display Test

  1.114  MATH         @TestFreq = "16999 MHz"
  1.115  CALL         Sub FSP Noise Display Test

  1.116  MATH         @TestFreq = "17999 MHz"
  1.117  CALL         Sub FSP Noise Display Test

  1.118  MATH         @TestFreq = "18999 MHz"
  1.119  MATH         M[1] = 26; @Nominal = -154
  1.120  CALL         Sub FSP Noise Display Test

  1.121  MATH         @TestFreq = "19999 MHz"
  1.122  CALL         Sub FSP Noise Display Test

  1.123  MATH         @TestFreq = "20999 MHz"
  1.124  CALL         Sub FSP Noise Display Test

  1.125  MATH         @TestFreq = "21999 MHz"
  1.126  CALL         Sub FSP Noise Display Test

  1.127  MATH         @TestFreq = "22999 MHz"

  1.128  IF           (@UUT_MaxFreq < 40E+9)
  1.129  MATH         M[1] = 45; @Nominal = -115
  1.130  ENDIF

  1.131  CALL         Sub FSP Noise Display Test

  1.132  MATH         @TestFreq = "23999 MHz"
  1.133  CALL         Sub FSP Noise Display Test

  1.134  MATH         @TestFreq = "24999 MHz"
  1.135  CALL         Sub FSP Noise Display Test

  1.136  MATH         @TestFreq = "25999 MHz"
  1.137  CALL         Sub FSP Noise Display Test

  1.138  MATH         @TestFreq = "26999 MHz"
  1.139  CALL         Sub FSP Noise Display Test

  1.140  MATH         @TestFreq = "27999 MHz"
  1.141  CALL         Sub FSP Noise Display Test

  1.142  MATH         @TestFreq = "28999 MHz"
  1.143  CALL         Sub FSP Noise Display Test

  1.144  MATH         @TestFreq = "29999 MHz"
  1.145  CALL         Sub FSP Noise Display Test

  1.146  IF           (@UUT_MaxFreq <= 30E+9)
  1.147  END
  1.148  ENDIF

  1.149  MATH         @TestFreq = "30999 MHz"
  1.150  MATH         M[1] = 48; @Nominal = -112
  1.151  CALL         Sub FSP Noise Display Test

  1.152  MATH         @TestFreq = "31999 MHz"
  1.153  CALL         Sub FSP Noise Display Test

  1.154  MATH         @TestFreq = "32999 MHz"
  1.155  CALL         Sub FSP Noise Display Test

  1.156  MATH         @TestFreq = "33999 MHz"
  1.157  CALL         Sub FSP Noise Display Test

  1.158  MATH         @TestFreq = "34999 MHz"
  1.159  CALL         Sub FSP Noise Display Test

  1.160  MATH         @TestFreq = "35999 MHz"
  1.161  CALL         Sub FSP Noise Display Test

  1.162  MATH         @TestFreq = "36999 MHz"
  1.163  CALL         Sub FSP Noise Display Test

  1.164  MATH         @TestFreq = "37999 MHz"
  1.165  CALL         Sub FSP Noise Display Test

  1.166  MATH         @TestFreq = "38999 MHz"
  1.167  CALL         Sub FSP Noise Display Test

  1.168  MATH         @TestFreq = "39999 MHz"
  1.169  CALL         Sub FSP Noise Display Test
  1.170  ENDIF        ; NOT(ISVAR("@B25_On"))

  1.171  END
