﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Level Accuracy VER /LPNX
INSTRUMENT:            Sub FSP (1 yr) Display Linearity VER /LPNX
INSTRUMENT:            Sub FSP (1 yr) RF Attenuator Accuracy VER /LPNX
INSTRUMENT:            Sub FSP (1 yr) Reference Level Switching VER /LPNX
INSTRUMENT:            Sub FSP (1 yr) Phase Noise VER /LPNX
DATE:                  2011-05-23
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       36
NUMBER OF LINES:       634
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP Take Sweep (MKPK)
#        Sub FSP Set Ref Level (dBm) /9640
#        Sub FSP Take Sweep Only
#
#  Required Files:
#        fsp_10db_to_lpnx.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         LEVEL_ACCURACY               PSUBI("Level Accuracy")
  1.002  MATH         @Error = 0
  1.003  MATH         @DevName = "Fluke 9640A-LPNX"
  1.004  MATH         @AccMode = "Atten dB 50 Abs"
  1.005  JMPL         DISPLAY_LINEARITY            PSUBI("Display")
  1.006  JMPL         RF_ATTEN_ACCURACY            PSUBI("RF Attenuator")
  1.007  JMPL         REF_LEVEL_SWITCHING          PSUBI("Level Switching")
  1.008  JMPL         PHASE_NOISE                  PSUBI("Phase")
  1.009  DISP         Called {Subprocedure Not Found}!
  1.010  END

  1.011  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) Level Accuracy VER /LPNX  ==========================

# It is assumed a direct connection was previously made between the 9640A-LPNX
# and the UUT.

  2.001  LABEL        LEVEL_ACCURACY
  2.002  RSLT         =
  2.003  HEAD         {LEVEL ACCURACY}
  2.004  TARGET       -p

  2.005  IF           @Opt_B25
  2.006  TSET         TDESC = 128 MHz (Standard)
  2.007  ELSE
  2.008  TSET         TDESC = 128 MHz
  2.009  ENDIF

  2.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.011  SCPI         FREQ:CENT 128E+6;SPAN 30E+3;:BAND:RES 10E+3
  2.012  SCPI         DISP:WIND:TRAC:Y 100 DB;Y:RLEV -20;SPAC LOG
  2.013  SCPI         INP:ATT 10 DB;:DET:FUNC RMS
  2.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.014  LPNX         +Level = -30 dBm; Freq = 128 MHz
  2.015  TARGET       -m
  2.016  CALL         Sub FSP Take Sweep (MKPK)
  2.017  SCPI         CALC:MARK:Y?[I]
  2.018  MEMCX        -30.000dBm     0.200U

  3.001  IF           @Opt_B25
  3.002  HEAD         LEVEL ACCURACY (Option FSP-B25)
  3.003  TARGET       -p
  3.004  TSET         TDESC = 128 MHz (Option FSP-B25)
  3.005  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  3.006  SCPI         FREQ:CENT 128E+6;SPAN 30E+3;:BAND:RES 10E+3
  3.007  SCPI         DISP:WIND:TRAC:Y 100 DB;Y:RLEV -20;SPAC LOG
  3.008  SCPI         INP:ATT 10 DB;:INP:EATT 0 DB;EATT:STAT ON;:DET:FUNC RMS
  3.009  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.009  LPNX         +Level = -30 dBm; Freq = 128 MHz
  3.010  TARGET       -m
  3.011  CALL         Sub FSP Take Sweep (MKPK)
  3.012  SCPI         CALC:MARK:Y?[I]
  3.013  MEMCX        -30.000dBm     0.200U
  4.001  ENDIF

  4.002  HEAD         -2
  4.003  LPNX         Reset
  4.004  SCPI         SYST:PRES
  4.005  HEAD
  4.006  END

  4.007  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) Display Linearity VER /LPNX  =======================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

  5.001  LABEL        DISPLAY_LINEARITY
  5.002  RSLT         =
  5.003  HEAD         {DISPLAY LINEARITY (-10 dBm Reference)}
  5.004  RSLT         =
  5.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  5.006  TARGET       -p
  5.007  HEAD         -2 {RBW 300 Hz}: 10 dB Reference Set
  5.008  PIC          fsp_10db_to_lpnx.jpg

  5.009  DISP         The next routine operator intervention
  5.009  DISP         occurs in approximately 7 minutes...

  5.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  5.011  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
  5.011  SCPI         DISP:WIND:TRAC:Y 100 DB;MODE AVER
  5.012  SCPI         FREQ:CENT 128E+6;SPAN 0;:DET:FUNC RMS
  5.013  SCPI         BAND:RES 300;VID 30;:SWE:COUN 20
  5.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.014  LPNX         +Level = 0 dBm; Freq = 128 MHz
  5.015  MATH         @Gap = 0.02; @ExtRefOn = 1; @ExtRefFreq = 10E+6
  5.016  CALL         Sub FSP Take Sweep (MKPK)
  5.017  SCPI         CALC:MARK:Y?[I]
  5.018  MATH         @TestName = "Display Linearity"
  5.019  MATH         @Connection = "fsp_10db_to_lpnx"
  5.020  MATH         @FSP_RefLvl = -10; @9640Lvl = 0
  5.021  MATH         @9640Freq = 128E+6; @9640RefIn = 10E+6

  5.022  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
  5.023  CALL         Sub FSP Set Ref Level (dBm) /9640
  5.024  ENDW

  5.025  IF           @Error
  5.026  EVAL   -e 0 : An error occurred during the [V @TestName].
  6.001  MATH         @Error = 0
  6.002  END
  6.003  ENDIF

  6.004  MATH         @RefUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
  6.005  MATH         @MkrMode = "Normal"
  6.006  CALL         Sub FSP Take Sweep (MKPK)
  6.007  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  6.008  MATH         @MkrMode = "Delta"; @RBW = "300 Hz"; @RefLvl = @9640Lvl
  6.009  CALL         Sub FSP (1 yr) Display Linearity Tests

  6.010  RSLT         =
  6.011  HEAD         -2 {RBW 300 kHz}: -10 dBm Reference Set

  6.012  LABEL        300kHz_REFERENCE
  6.013  TARGET       -p
  6.014  SCPI         CALC:DELT:STAT OFF;:SWE:TIME 2.5E-3;:BAND 300E+3
  6.015  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.015  LPNX         +Level = 0 dBm; Freq = 128 MHz
  6.016  MATH         @MkrMode = "Normal"; @9640Lvl = 0
  6.017  CALL         Sub FSP Take Sweep (MKPK)
  6.018  SCPI         CALC:MARK:Y?[I]

  6.019  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
  6.020  CALL         Sub FSP Set Ref Level (dBm) /9640
  6.021  ENDW

  6.022  IF           @Error
  6.023  EVAL   -e 0 : An error occurred during the [V @TestName].
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  JMPL         300kHz_10dB_TEST
  7.005  TARGET       -p
  7.006  JMPL         300kHz_REFERENCE

  7.007  LABEL        300kHz_10dB_TEST
  7.008  MATH         RefUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
  7.009  CALL         Sub FSP Take Sweep (MKPK)
  7.010  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  7.011  MATH         @MkrMode = "Delta"; @RBW = "300 kHz"; @RefLvl = @9640Lvl
  7.012  CALL         Sub FSP (1 yr) Display Linearity Tests

  7.013  HEAD         -2
  7.014  LPNX         Reset
  7.015  MATH         DEL("@MkrMode")
  7.016  SCPI         SYST:PRES
  7.017  HEAD
  7.018  END

  7.019  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) RF Attenuator Accuracy VER /LPNX  ==================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

  8.001  LABEL        RF_ATTEN_ACCURACY
  8.002  RSLT         =
  8.003  HEAD         {RF ATTENUATOR ACCURACY (Relative to 10 dB)}
  8.004  TARGET       -p
  8.005  HEAD         -2 RF Attenuator Setting: 10 dB (Reference)
  8.006  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  8.007  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
  8.007  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER;:DET:FUNC RMS
  8.008  SCPI         FREQ:CENT 128E+6;SPAN 500;:BAND:RES 1E+3;VID 100
  8.009  SCPI         SWE:COUN 20
  8.010  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.010  LPNX         +Level = -50 dBm; Freq = 128 MHz
  8.011  CALL         Sub FSP Take Sweep Only
  8.012  MATH         @RefUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
  8.013  MATH         @MkrMode = "Normal"
  8.014  CALL         Sub FSP Take Sweep (MKPK)
  8.015  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  8.016  MATH         @MkrMode = "Delta"

  8.017  HEAD         -2 RF Attenuator Setting: 0 dB
  8.018  TSET         TDESC = [32]5 dB
  8.019  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -40
  8.020  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.020  LPNX         +Level = -60 dBm; Freq = 128 MHz
  8.021  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
  8.022  MATH         L[1] = RSS2(@RefUnc, TestUnc)
  8.023  ACC          -10.000dB      L1U                                   +DW
  8.024  TARGET       -m
  8.025  CALL         Sub FSP Take Sweep (MKPK)
  8.026  SCPI         CALC:DELT:Y?[I]
  8.027  MEMCX        -10.000dB      0.200U

  9.001  HEAD         -2 RF Attenuator Setting: 20 dB
  9.002  TSET         TDESC = 20 dB
  9.003  SCPI         INP:ATT 20 DB;:DISP:WIND:TRAC:Y:RLEV -20
  9.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.004  LPNX         +Level = -40 dBm; Freq = 128 MHz
  9.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
  9.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
  9.007  ACC          10.000dB       L1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub FSP Take Sweep (MKPK)
  9.010  SCPI         CALC:DELT:Y?[I]
  9.011  MEMCX        10.000dB       0.200U

 10.001  HEAD         -2 RF Attenuator Setting: 30 dB
 10.002  TSET         TDESC = 30 dB
 10.003  SCPI         INP:ATT 30 DB;:DISP:WIND:TRAC:Y:RLEV -10
 10.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.004  LPNX         +Level = -30 dBm; Freq = 128 MHz
 10.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 10.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 10.007  ACC          20.000dB       L1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub FSP Take Sweep (MKPK)
 10.010  SCPI         CALC:DELT:Y?[I]
 10.011  MEMCX        20.000dB       0.200U

 11.001  HEAD         -2 RF Attenuator Setting: 40 dB
 11.002  TSET         TDESC = 40 dB
 11.003  SCPI         INP:ATT 40 DB;:DISP:WIND:TRAC:Y:RLEV 0
 11.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.004  LPNX         +Level = -20 dBm; Freq = 128 MHz
 11.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 11.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 11.007  ACC          30.000dB       L1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub FSP Take Sweep (MKPK)
 11.010  SCPI         CALC:DELT:Y?[I]
 11.011  MEMCX        30.000dB       0.200U

 12.001  HEAD         -2 RF Attenuator Setting: 50 dB
 12.002  TSET         TDESC = 50 dB
 12.003  SCPI         INP:ATT 50 DB;:DISP:WIND:TRAC:Y:RLEV 10
 12.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.004  LPNX         +Level = -10 dBm; Freq = 128 MHz
 12.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 12.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 12.007  ACC          40.000dB       L1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub FSP Take Sweep (MKPK)
 12.010  SCPI         CALC:DELT:Y?[I]
 12.011  MEMCX        40.000dB       0.200U

 13.001  HEAD         -2 RF Attenuator Setting: 60 dB
 13.002  TSET         TDESC = 60 dB
 13.003  SCPI         INP:ATT 60 DB;:DISP:WIND:TRAC:Y:RLEV 20
 13.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.004  LPNX         +Level = 0 dBm; Freq = 128 MHz
 13.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 13.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 13.007  ACC          50.000dB       L1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub FSP Take Sweep (MKPK)
 13.010  SCPI         CALC:DELT:Y?[I]
 13.011  MEMCX        50.000dB       0.200U

 14.001  HEAD         -2 RF Attenuator Setting: 70 dB
 14.002  TSET         TDESC = 70 dB
 14.003  SCPI         INP:ATT 70 DB;:DISP:WIND:TRAC:Y:RLEV 30
 14.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.004  LPNX         +Level = +10 dBm; Freq = 128 MHz
 14.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 14.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 14.007  ACC          60.000dB       L1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub FSP Take Sweep (MKPK)
 14.010  SCPI         CALC:DELT:Y?[I]
 14.011  MEMCX        60.000dB       0.200U

 15.001  HEAD         -2
 15.002  LPNX         Reset
 15.003  MATH         DEL("@MkrMode")
 15.004  SCPI         SYST:PRES
 15.005  HEAD
 15.006  END

 15.007  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) Reference Level Switching VER /LPNX  ===============

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

 16.001  LABEL        REF_LEVEL_SWITCHING
 16.002  RSLT         =
 16.003  HEAD         {REFERENCE LEVEL SWITCHING (Relative to -10 dBm)}
 16.004  RSLT         =
 16.005  RSLT         =10 dB Steps
 16.006  TARGET       -p
 16.007  HEAD         -2 Reference Level Setting: -10 dBm (Reference)
 16.008  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 16.009  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV -10;SPAC LOG
 16.009  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER
 16.010  SCPI         FREQ:CENT 128E+6;SPAN 2E+3;:SWE:COUN 5
 16.011  SCPI         DET:FUNC RMS;:BAND:RES 1E+3;VID 100
 16.012  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.012  LPNX         +Level = 0 dBm; Freq = 128 MHz
 16.013  CALL         Sub FSP Take Sweep Only
 16.014  MATH         @RefUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 16.015  MATH         @MkrMode = "Normal"
 16.016  CALL         Sub FSP Take Sweep (MKPK)
 16.017  SCPI         CALC:DELT:FUNC:FIX:STAT ON
 16.018  MATH         @MkrMode = "Delta"

 16.019  HEAD         -2 Reference Level Setting: 0 dBm
 16.020  TSET         TDESC = [32] 0 dBm
 16.021  SCPI         DISP:WIND:TRAC:Y:RLEV 0
 16.022  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.022  LPNX         +Level = +10 dBm; Freq = 128 MHz
 16.023  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 16.024  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 16.025  ACC          10.000dB       L1U                                   +DW
 16.026  TARGET       -m
 16.027  CALL         Sub FSP Take Sweep (MKPK)
 16.028  SCPI         CALC:DELT:Y?[I]
 16.029  MEMCX        10.000dB       0.200U

 17.001  HEAD         -2 Reference Level Setting: -20 dBm
 17.002  TSET         TDESC = -20 dBm
 17.003  SCPI         DISP:WIND:TRAC:Y:RLEV -20
 17.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.004  LPNX         +Level = -10 dBm; Freq = 128 MHz
 17.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 17.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 17.007  ACC          -10.000dB      L1U                                   +DW
 17.008  TARGET       -m
 17.009  CALL         Sub FSP Take Sweep (MKPK)
 17.010  SCPI         CALC:DELT:Y?[I]
 17.011  MEMCX        -10.000dB      0.200U

 18.001  HEAD         -2 Reference Level Setting: -30 dBm
 18.002  TSET         TDESC = -30 dBm
 18.003  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 18.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.004  LPNX         +Level = -20 dBm; Freq = 128 MHz
 18.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 18.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 18.007  ACC          -20.000dB      L1U                                   +DW
 18.008  TARGET       -m
 18.009  CALL         Sub FSP Take Sweep (MKPK)
 18.010  SCPI         CALC:DELT:Y?[I]
 18.011  MEMCX        -20.000dB      0.200U

 19.001  HEAD         -2 Reference Level Setting: -40 dBm
 19.002  TSET         TDESC = -40 dBm
 19.003  SCPI         DISP:WIND:TRAC:Y:RLEV -40
 19.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.004  LPNX         +Level = -30 dBm; Freq = 128 MHz
 19.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 19.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 19.007  ACC          -30.000dB      L1U                                   +DW
 19.008  TARGET       -m
 19.009  CALL         Sub FSP Take Sweep (MKPK)
 19.010  SCPI         CALC:DELT:Y?[I]
 19.011  MEMCX        -30.000dB      0.200U

 20.001  HEAD         -2 Reference Level Setting: -50 dBm
 20.002  TSET         TDESC = -50 dBm
 20.003  SCPI         DISP:WIND:TRAC:Y:RLEV -50
 20.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.004  LPNX         +Level = -40 dBm; Freq = 128 MHz
 20.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 20.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 20.007  ACC          -40.000dB      L1U                                   +DW
 20.008  TARGET       -m
 20.009  CALL         Sub FSP Take Sweep (MKPK)
 20.010  SCPI         CALC:DELT:Y?[I]
 20.011  MEMCX        -40.000dB      0.200U

 21.001  RSLT         =
 21.002  RSLT         =1 dB Steps
 21.003  TARGET       -p
 21.004  HEAD         -2 Reference Level Setting: -11 dBm
 21.005  TSET         TDESC = -11 dBm
 21.006  SCPI         DISP:WIND:TRAC:Y:RLEV -11
 21.007  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.007  LPNX         +Level = -1 dBm; Freq = 128 MHz
 21.008  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 21.009  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 21.010  ACC          -1.000dB       L1U                                   +DW
 21.011  TARGET       -m
 21.012  CALL         Sub FSP Take Sweep (MKPK)
 21.013  SCPI         CALC:DELT:Y?[I]
 21.014  MEMCX        -1.000dB       0.200U

 22.001  HEAD         -2 Reference Level Setting: -12 dBm
 22.002  TSET         TDESC = -12 dBm
 22.003  SCPI         DISP:WIND:TRAC:Y:RLEV -12
 22.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.004  LPNX         +Level = -2 dBm; Freq = 128 MHz
 22.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 22.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 22.007  ACC          -2.000dB       L1U                                   +DW
 22.008  TARGET       -m
 22.009  CALL         Sub FSP Take Sweep (MKPK)
 22.010  SCPI         CALC:DELT:Y?[I]
 22.011  MEMCX        -2.000dB       0.200U

 23.001  HEAD         -2 Reference Level Setting: -13 dBm
 23.002  TSET         TDESC = -13 dBm
 23.003  SCPI         DISP:WIND:TRAC:Y:RLEV -13
 23.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.004  LPNX         +Level = -3 dBm; Freq = 128 MHz
 23.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 23.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 23.007  ACC          -3.000dB       L1U                                   +DW
 23.008  TARGET       -m
 23.009  CALL         Sub FSP Take Sweep (MKPK)
 23.010  SCPI         CALC:DELT:Y?[I]
 23.011  MEMCX        -3.000dB       0.200U

 24.001  HEAD         -2 Reference Level Setting: -14 dBm
 24.002  TSET         TDESC = -14 dBm
 24.003  SCPI         DISP:WIND:TRAC:Y:RLEV -14
 24.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.004  LPNX         +Level = -4 dBm; Freq = 128 MHz
 24.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 24.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 24.007  ACC          -4.000dB       L1U                                   +DW
 24.008  TARGET       -m
 24.009  CALL         Sub FSP Take Sweep (MKPK)
 24.010  SCPI         CALC:DELT:Y?[I]
 24.011  MEMCX        -4.000dB       0.200U

 25.001  HEAD         -2 Reference Level Setting: -15 dBm
 25.002  TSET         TDESC = -15 dBm
 25.003  SCPI         DISP:WIND:TRAC:Y:RLEV -15
 25.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 25.004  LPNX         +Level = -5 dBm; Freq = 128 MHz
 25.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 25.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 25.007  ACC          -5.000dB       L1U                                   +DW
 25.008  TARGET       -m
 25.009  CALL         Sub FSP Take Sweep (MKPK)
 25.010  SCPI         CALC:DELT:Y?[I]
 25.011  MEMCX        -5.000dB       0.200U

 26.001  HEAD         -2 Reference Level Setting: -16 dBm
 26.002  TSET         TDESC = -16 dBm
 26.003  SCPI         DISP:WIND:TRAC:Y:RLEV -16
 26.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 26.004  LPNX         +Level = -6 dBm; Freq = 128 MHz
 26.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 26.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 26.007  ACC          -6.000dB       L1U                                   +DW
 26.008  TARGET       -m
 26.009  CALL         Sub FSP Take Sweep (MKPK)
 26.010  SCPI         CALC:DELT:Y?[I]
 26.011  MEMCX        -6.000dB       0.200U

 27.001  HEAD         -2 Reference Level Setting: -17 dBm
 27.002  TSET         TDESC = -17 dBm
 27.003  SCPI         DISP:WIND:TRAC:Y:RLEV -17
 27.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 27.004  LPNX         +Level = -7 dBm; Freq = 128 MHz
 27.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 27.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 27.007  ACC          -7.000dB       L1U                                   +DW
 27.008  TARGET       -m
 27.009  CALL         Sub FSP Take Sweep (MKPK)
 27.010  SCPI         CALC:DELT:Y?[I]
 27.011  MEMCX        -7.000dB       0.200U

 28.001  HEAD         -2 Reference Level Setting: -18 dBm
 28.002  TSET         TDESC = -18 dBm
 28.003  SCPI         DISP:WIND:TRAC:Y:RLEV -18
 28.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 28.004  LPNX         +Level = -8 dBm; Freq = 128 MHz
 28.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 28.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 28.007  ACC          -8.000dB       L1U                                   +DW
 28.008  TARGET       -m
 28.009  CALL         Sub FSP Take Sweep (MKPK)
 28.010  SCPI         CALC:DELT:Y?[I]
 28.011  MEMCX        -8.000dB       0.200U

 29.001  HEAD         -2 Reference Level Setting: -19 dBm
 29.002  TSET         TDESC = -19 dBm
 29.003  SCPI         DISP:WIND:TRAC:Y:RLEV -19
 29.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 29.004  LPNX         +Level = -9 dBm; Freq = 128 MHz
 29.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 128E+6)
 29.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)

 29.007  ACC          -9.000dB       L1U                                   +DW
 29.008  TARGET       -m
 29.009  CALL         Sub FSP Take Sweep (MKPK)
 29.010  SCPI         CALC:DELT:Y?[I]
 29.011  MEMCX        -9.000dB       0.200U

 30.001  HEAD         -2
 30.002  LPNX         Reset
 30.003  MATH         DEL("@MkrMode")
 30.004  SCPI         SYST:PRES
 30.005  HEAD
 30.006  END

 30.007  EVAL   Increment Test Number

# =====  Sub FSP (1 yr) Phase Noise VER /LPNX  =============================

# It is assumed a direct connection is made between the 9640A-LPNX and UUT.

 31.001  LABEL        PHASE_NOISE
 31.002  RSLT         =
 31.003  HEAD         {PHASE NOISE}
# Query NTHROW parameter value.
 31.004  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
 31.005  VSET         NTHROW = 0

 31.006  HEAD         -2 { Offset from 498 MHz}: 100 Hz
 31.007  TARGET       -p
 31.008  TSET         TDESC = 100 Hz
 31.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 31.010  SCPI         FREQ:CENT 498E+6;SPAN 1E+3;:DISP:WIND:TRAC:Y:RLEV 0
 31.010  SCPI         INP:ATT 10 DB
 31.011  LPNX         +Freq = 498 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 31.012  CALL         Sub FSP Take Sweep (MKPK)
# Retrieve marker frequency reading of input signal.
 31.013  SCPI         CALC:MARK:X?[I]
# Compute offset of measured marker frequency relative to nominal.
 31.014  MATH         FreqOffset = 498E+6 - MEM
# Program computed frequency offset to UUT to correct for frequency error.
 31.015  SCPI         FREQ:OFFS [V FreqOffset]
 31.016  CALL         Sub FSP Take Sweep Only
# Reset UUT center frequency to (the now corrected) nominal frequency.
 31.017  SCPI         FREQ:CENT 498E+6;:BAND:VID:RAT 0.1
 31.018  CALL         Sub FSP Take Sweep (MKPK)
 31.019  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
 31.020  SCPI         CALC:DELT1:FUNC:PNO ON
 31.021  SCPI         FREQ:CENT 498.0001E+6;SPAN 20;:BAND:RES 10
 31.022  TARGET       -m
 31.023  SCPI         [T240000]INIT:IMM
 31.024  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
# Uncertainty is UUT display linearity relative to reference level.
 31.025  ACC          dBc/Hz         0.20U                                 +DW
 31.026  MEMCX        -84.00dBc/Hz   -76.00U

 32.001  HEAD         -2 Offset from 498 MHz: 1 kHz
 32.002  TSET         TDESC = 1 kHz
 32.003  LPNX         +Freq = 498 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 32.004  SCPI         FREQ:CENT 498.001E+6;SPAN 200;:BAND:RES 100
 32.005  TARGET       -m
 32.006  SCPI         [T120000]INIT:IMM
 32.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 32.008  ACC          dBc/Hz         0.37U                                 +DW
 32.009  MEMCX        -100.00dBc/Hz  -60.00U

 33.001  HEAD         -2 Offset from 498 MHz: 10 kHz
 33.002  TSET         TDESC = 10 kHz
 33.003  LPNX         +Freq = 498 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 33.004  SCPI         FREQ:CENT 498.01E+6;SPAN 2E+3;:BAND:RES 300
 33.005  SCPI         DISP:WIND:TRAC:Y:RLEV -10
 33.006  TARGET       -m
 33.007  SCPI         [T60000]INIT:IMM
 33.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 33.009  ACC          dBc/Hz         0.37U                                 +DW
 33.010  MEMCX        -106.00dBc/Hz  -54.00U

 34.001  HEAD         -2 Offset from 498 MHz: 100 kHz
 34.002  TSET         TDESC = 100 kHz
 34.003  LPNX         +Freq = 498 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 34.004  SCPI         FREQ:CENT 498.1E+6;SPAN 10E+3;:BAND:RES 3E+3
 34.005  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -20
 34.006  TARGET       -m
 34.007  SCPI         [T30000]INIT:IMM
 34.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 34.009  ACC          dBc/Hz         0.37U                                 +DW
 34.010  MEMCX        -110.00dBc/Hz  -50.00U

 35.001  HEAD         -2 Offset from 498 MHz: 1 MHz
 35.002  TSET         TDESC = 1 MHz
 35.003  LPNX         +Freq = 498 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 35.004  SCPI         FREQ:CENT 499E+6;SPAN 100E+3;:BAND:RES 30E+3
 35.005  TARGET       -m
 35.006  SCPI         INIT:IMM
 35.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 35.008  ACC          dBc/Hz         0.28U                                 +DW
 35.009  MEMCX        -120.00dBc/Hz  -40.00U

 36.001  HEAD         -2
 36.002  LPNX         Reset
 36.003  SCPI         SYST:PRES
 36.004  HEAD
# Restore original NTHROW value.
 36.005  VSET         NTHROW = [V @NumThrow]
 36.006  END
